// ----------------------------------------------------------------
// Classe MooUpCombo  	-  		Mike GILBLAS  		- 	 14/06/2010 
// ----------------------------------------------------------------
// Zone combo permettant de skinner un champ upload fichier
// ----------------------------------------------------------------
// Usage : 
// -------
// - inclure mooUpCombo.js dans la page
// - instancier MooUpCombo sur un input type file (elt). 
// 		new MooUpCombo(elt, options);
// Options : 
// ---------
// Aucune option disponible
// ----------------------------------------------------------------

// ----------------------------------------------------------------
// Variables  prdfinir pour l'install
// 
// 		/!\  Les rpertoires sont dfinis par rapport  
// 			  la page qui inclus ce script (pour chemins absolus)
//
//		/!\  Ne pas oublier le "/"  la fin de chaque chemin
// ----------------------------------------------------------------
var repUCScript = '/mooupcombo/';					// Rpertoire ou se trouve ce script

// ----------------------------------------------------------------
// Definition de la classe
// ----------------------------------------------------------------
var MooUpCombo = new Class({
	Implements: [Events, Options],

	// ------------------------------------------------------------
	// Options
	options: {
	},
	
	// ------------------------------------------------------------
	// Constructeur
	initialize: function(element, options) {

		// Traitement des parametres
		this.setOptions(options);
		if (element.get('tag') != 'input' || element.get('type') != 'file') alert('MooImgCombo: l\'lement cible doit tre un input de type file...');
		else {
			
			// Cration des lments de la combo
			this.eltFile = element;
			this.eltInput = new Element('input', { 'type': 'text', 'value': element.get('value'), disabled: true, 
					styles: { float: 'left', width: element.getSize().x, color: '#000' } }).inject(element, 'before');
			this.divPopup = new Element('div', { 
					styles: { float: 'left', background: 'url(' + repUCScript + 'bull_down.png) no-repeat top left', cursor: 'pointer', 
							  height: 16, width: 16, marginRight: 4, textAlign: 'right', overflow: 'hidden' } 
			}).inject(this.eltInput, 'after').adopt(element);
			this.eltFile.setStyles({ float: 'right', opacity: 0.01, cursor: 'pointer' }).show();

			// Sur slection de fichier mise  jour de l'input text pour affichage
			this.eltFile.addEvent('change', function() { this.eltInput.set('value', this.eltFile.get('value')); }.bind(this));
		}
	}
});

